package com.wdkl.ncs.android.middleware.model;

import java.io.Serializable;

public class EventHistoryItem implements Serializable {

    private Integer id;

    private String room;

    private String customer;

    private String startTime;

    private String endTime;

    private String actionType;

    private String actionData;

    private String actionState;

    private String customerImg;

    public EventHistoryItem() {
    }

    public EventHistoryItem(Integer id, String room, String customer, String startTime, String endTime, String actionType, String actionData, String actionState, String customerImg) {
        this.id = id;
        this.room = room;
        this.customer = customer;
        this.startTime = startTime;
        this.endTime = endTime;
        this.actionType = actionType;
        this.actionData = actionData;
        this.actionState = actionState;
        this.customerImg = customerImg;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getActionData() {
        return actionData;
    }

    public void setActionData(String actionData) {
        this.actionData = actionData;
    }

    public String getActionState() {
        return actionState;
    }

    public void setActionState(String actionState) {
        this.actionState = actionState;
    }

    public String getCustomerImg() {
        return customerImg;
    }

    public void setCustomerImg(String customerImg) {
        this.customerImg = customerImg;
    }
}
